CREATE TABLE gl_ledger_set_assignments (
    LEDGER_SET_ID            NUMBER(18, 0),
    LEDGER_ID                NUMBER(18, 0),
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    START_DATE               DATE         ,
    END_DATE                 DATE         ,
    STATUS_CODE              VARCHAR2(4)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LEDGER_SET_ID            NUMBER(18, 0),
    LEDGER_ID                NUMBER(18, 0),
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    START_DATE               DATE         ,
    END_DATE                 DATE         ,
    STATUS_CODE              VARCHAR2(4)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_gl_ledger_set_assignments PRIMARY KEY (LEDGER_SET_ID, LEDGER_ID, LEDGER_SET_ID, LEDGER_ID)
);
